%define srcname ktp-desktop-applets

Summary:        Telepathy KDE Desktop Plasmoid
Name:           telepathy-kde-desktop-applets
Version: 0.9.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Networking/Instant messaging
Url:            https://projects.kde.org/projects/playground/network/telepathy/telepathy-contact-applet
Source0:        http://download.kde.org/stable/kde-telepathy/%{version}/src/%{srcname}-%{version}.tar.xz

BuildRequires:  telepathy-kde-common-internals-devel >= %{version}

Requires:       telepathy-kde-common-internals-core = %{version}
Requires:       telepathy-kde-contact-list = %{version}

Obsoletes:      telepathy-kde-contact-applet
Provides:       telepathy-kde-contact-applet = %{version}-%{release}

Obsoletes:      telepathy-kde-presence-applet
Provides:       telepathy-kde-presence-applet = %{version}-%{release}

%description
Telepathy KDE Desktop Plasmoid.

%files -f plasma_applet_org.kde.ktp-contact.lang
%{_kde_libdir}/kde4/plasma_applet_ktp_contact.so
%{_kde_libdir}/kde4/plasma_applet_ktp_presence.so
%{_kde_appsdir}/plasma/plasmoids/org.kde.ktp-chat
%{_kde_appsdir}/plasma/plasmoids/org.kde.ktp-contactlist
%{_kde_appsdir}/plasma/plasmoids/org.kde.ktp-contact
%{_kde_appsdir}/plasma-desktop/updates/50-renameKTpApplets.js
%{_kde_services}/*.desktop

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%apply_patches

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build
%find_lang plasma_applet_org.kde.ktp-contact --all-name


%changelog
* Wed Mar 11 2015 bb <bb> 0.9.0-1pclos2015
- update
